package sklep.rest;

import jakarta.ws.rs.*;
import org.springframework.beans.factory.annotation.Autowired;
import sklep.model.Product;
import sklep.repository.ProductRepository;

import java.util.List;

@Path("/products")
@Produces({"application/json"})
public class RProducts {
    @Autowired
    private ProductRepository productRepository;

    @GET
    public List<Product> getProducts() {
        return productRepository.findAll();
    }

    @GET
    @Path("{id}")
    public Product getProduct(@PathParam("id") int id) {
        return productRepository.findById(id).orElseThrow(() -> new WebApplicationException(404));
    }

}
